%global momorel 2
%global xfce4ver 4.6.2

#%%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
#%%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Summary:	Application library for the Xfce desktop environment
Name:		exo
Version:	0.3.107
Release:	%{momorel}m%{?dist}
License:	LGPL
URL:		http://xfce.org/
Source0:	http://www.xfce.org/archive/xfce-%{xfce4ver}/src/%{name}-%{version}.tar.bz2
NoSource:	0
Patch0:		%{name}-%{version}-x86_64-build.patch
Patch1:         %{name}-%{version}-autoconf.patch
Group:		Development/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: dbus-devel >= 1.2.4
BuildRequires: gtk-doc
#fc BuildRequires: pygtk2-devel
BuildRequires: pygtk-devel
BuildRequires: gettext >= 0.17
BuildRequires: python-devel
BuildRequires: imake
BuildRequires: libXt-devel
BuildRequires: perl-URI
BuildRequires: xfconf-devel >= %{xfce4ver}
BuildRequires: libxfce4util-devel >= %{xfce4ver}

Requires: dbus-glib >= 0.76

%description
Extension library for Xfce, targeted at application development.

%package devel
Summary: Development tools for exo library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libxfce4util-devel >= %{xfce4ver}

%description devel
Static libraries and header files for the exo library.

%package -n python-exo
Summary: Python tools for exo library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description -n python-exo
Python libraries and header files for the exo library.

%prep
%setup -q

%patch0 -p1 -b x86_64-build
%patch1 -p1 -b .autoconf

%build
gtkdocize --copy
autoreconf -vfi

%configure --enable-gtk-doc
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} transform='s,x,x,'
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/xfce4/mcs-plugins/*.la
rm -f %{buildroot}%{_libdir}/xfce4/mcs-plugins/*.a
rm -f %{buildroot}%{python_sitearch}/*.la
rm -f %{buildroot}%{python_sitearch}/*.a
rm -f %{buildroot}%{python_sitearch}/*/*.a

%find_lang libexo-0.3

find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%files -f libexo-0.3.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README THANKS TODO COPYING
%{_libdir}/lib*.so.*
%{_datadir}/xfce4/helpers
%{_datadir}/xfce4/doc/*/*/*
%{_datadir}/xfce4/doc/*/*.html

%{_mandir}/man1/exo-csource.1*
%{_mandir}/man1/exo-open.1*
%{_bindir}/exo-csource
%{_bindir}/exo-desktop-item-edit
%{_bindir}/exo-open
%{_bindir}/exo-preferred-applications
%{_bindir}/exo-eject
%{_bindir}/exo-mount
%{_bindir}/exo-unmount
%config(noreplace) %{_sysconfdir}/xdg/xfce4/helpers.rc
%config(noreplace) %{_sysconfdir}/xdg/xfce4/mount.rc
%{_libexecdir}/*
%{_datadir}/applications/exo-preferred-applications.desktop
#%%{_libdir}/xfce4/mcs-plugins/exo-preferred-applications-settings.so
%{_datadir}/icons/hicolor/24x24/apps/preferences-desktop-default-applications.png
%{_datadir}/icons/hicolor/48x48/apps/preferences-desktop-default-applications.png
%{_datadir}/icons/hicolor/48x48/apps/applications-internet.png
%{_datadir}/icons/hicolor/48x48/apps/applications-other.png
%{_datadir}/pixmaps/exo-0.3/exo-thumbnail-frame.png

%files devel
%defattr(-, root, root,-)
%doc %{_datadir}/gtk-doc/html/exo-0.3/
%{_includedir}/exo*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/pygtk/*/defs/exo-*/

%files -n python-exo
%defattr(-, root, root,-)
/%{python_sitearch}/exo-*
/%{python_sitearch}/pyexo.*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.107-2m)
- full rebuild for mo7 release

* Tue Aug  3 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.107-1m)
- update

* Mon Apr 19 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.101-6m)
- add patch1 for autoconf

* Mon Dec 28 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.3.101-5m)
- delete __libtoolize hack

* Mon Dec 21 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.101-4m)
- fix build on x86_64

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.101-3m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.101-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Apr 20 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.101-1m)
- update
- rebuild against xfce4-4.6.1

* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.100-1m)
- update
- rebuild against xfce4-4.6.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.93-2m)
- rebuild against rpm-4.6

* Tue Jan 20 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.93-1m)
- update

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.3.92-2m)
- rebuild against python-2.6.1-1m

* Thu Nov 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.92-1m)
- update
- add old, broken, kludge libtools hack "%%define __libtoolize :"

* Fri Oct 24 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.91-2m)
- fix libraries version dependency

* Wed Oct 22 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.91-1m)
- update

* Mon Sep 22 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.80-1m)
- update

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.4-2m)
- rebuild against gcc43

* Mon Dec  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.4-1m)
- update
- rebuild against xfce4 4.4.2

* Fri Apr 20 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.2-3m)
- rebuild against xfce4 4.4.1

* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.2-2m)
- delete libtool library

* Sun Jan 28 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.2-1m)
- import to Momonga from fc

* Sun Jan 21 2007 Kevin Fenzi <kevin@tummy.com> - 0.3.2-1
- Upgrade to 0.3.2

* Fri Dec  8 2006 Kevin Fenzi <kevin@tummy.com> - 0.3.1.12-0.3.rc2
- Rebuild for new python

* Thu Nov 16 2006 Kevin Fenzi <kevin@tummy.com> - 0.3.1.12-0.2.rc2
- Rebuild with fixed xfce-mcs-manager-devel
- Add exo-preferred-applicatons-settings.so

* Thu Nov  9 2006 Kevin Fenzi <kevin@tummy.com> - 0.3.1.12-0.1.rc2
- Update to 0.3.1.12rc2

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 0.3.1.10-0.6.rc1
- Added libxfce4util-devel Requires for the devel package

* Thu Oct  5 2006 Kevin Fenzi <kevin@tummy.com> - 0.3.1.10-0.5.rc1
- Added gtk-update-icon-cache

* Wed Oct  4 2006 Kevin Fenzi <kevin@tummy.com> - 0.3.1.10-0.4.rc1
- Bump release for devel checkin

* Thu Sep 28 2006 Kevin Fenzi <kevin@tummy.com> - 0.3.1.10-0.3.rc1
- Remove libxfce4gui/libxfce4gui-devel Requires/BuildRequires

* Sun Sep  7 2006 Kevin Fenzi <kevin@tummy.com> - 0.3.1.10-0.1.rc1
- Upgrade to 0.3.1.10-0.1.rc1

* Tue Aug 29 2006 Kevin Fenzi <kevin@tummy.com> - 0.3.1.8-0.3.beta2
- Add perl-URI BuildRequires

* Wed Aug  2 2006 Kevin Fenzi <kevin@tummy.com> - 0.3.1.8-0.1.beta2
- Fix release numbering
- General cleanup for devel push
- Mark helpers.rc as a configfile

* Wed Jul 12 2006 Kevin Fenzi <kevin@tummy.com> - 0.3.1.8-0.beta2
- Upgrade to 0.3.1.8beta2
- Removed unneeded patch

* Mon May  8 2006 Kevin Fenzi <kevin@tummy.com> - 0.3.1.6beta1
- Upgrade to 0.3.1.6beta1

* Sat Jan 21 2006 Kevin Fenzi <kevin@scrye.com> - 0.3.0-11.fc5
- Add imake to BR to allow detection of modular xorg

* Wed Aug 17 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-10.fc5
- Rebuild for new libcairo and libpixman

* Fri Jul  1 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-9.fc5
- Bump release for a new build

* Mon Jun 20 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-8.fc5
- Add patch to make x86_64 package build

* Thu Jun  2 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-7.fc5
- Change python_sitelib to python_sitearch

* Tue May 31 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-6
- Add python_sitelib to build on x86_64
- Add dist to release

* Tue May 31 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-5
- Add python-devel buildrequires

* Mon May 30 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-4
- Fixed exo gtk-doc directory not being included in devel
- Changed pygtk defs dir 
- Added Requires to devel for pkg-config dependency

* Mon May 30 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-3
- Added gettext to buildrequires
- Moved devel docs to devel package only
- Added find_lang for locale files
- Added more docs to base package

* Fri May 27 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-2
- Added lang to files
- Fixed some file paths
- Remove unneeded la files
- Added pygtk2-devel buildrequires

* Sat Mar 19 2005 Kevin Fenzi <kevin@tummy.com> - 0.3.0-1
- Upgraded to 0.3.0 version

* Tue Mar  8 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.0-3
- Removed generic INSTALL doc from %%doc

* Sun Mar  6 2005 Kevin Fenzi <kevin@tummy.com> - 0.2.0-2
- Inital Fedora Extras version
